#include <bits/stdc++.h>
using namespace std;
int sbor(int x)
{
    for(int i=1; i<x/2; i++)
    {
        int j=floor(sqrt(x-i*i));
        if(j!=0)
        {
            if(x==i*i+j*j)
            {
                cout<<"1";
                //cout<<i<<" "<<j;

                return 0;
            }
        }
    }
    cout<<"0";
    return 0;
}
int main ()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++) cin>>a[i];
    for(int i=0; i<n; i++)
    {
        sbor(a[i]);

    }
    return 0;
}

